Subject: RE: [bmwg] Proposal on IPv6 Benchmarking

From: "Rajiv Papneja" <[email-masked]>
Date: Mon, 2 Oct 2006 11:13:32 -0400

Chip,

Thanks for considering my recommendations in the next version of the IPv6
benchmarking draft. 

Please let me know if I could further help.

Regards,
Rajiv

> -----Original Message-----
> From: Chip Popoviciu (cpopovic) [mailto:[email-masked]]
> Sent: Wednesday, September 20, 2006 2:36 PM
> To: Rajiv Papneja; Al Morton; Ahmed Hamza (ahamza); gunter (mailer list);
> [email-masked]; [email-masked]
> Subject: RE: [bmwg] Proposal on IPv6 Benchmarking
> 
> 
> Rajiv,
> 
> We would like to thank you for your review and your support of this
> work!
> 
> Here are is our response to you comments:
> 
> 1) This is an excellent point and we will address it in the upcoming
> version of the draft. As you know, we tried to develop this document in
> lock-step with RFC2544 per BMWG recommendation. That being said, there
> are a few updates that could be done to RFC 2544 based on developments
> since its release so we can take this opportunity to make such updates
> even though they apply to both IPv6 and IPv4. Examples are: Jumbo frames
> inclusion, inclusion of SONET as a media type, etc.
> 
> 2) We agree, evaluation of co-existence performance is very important to
> the industry. We included recommendations for this in version -01 of the
> draft and they will be in the next version with a few minor changes
> based on received feedback.
> 
> Many thanks for your help Rajiv!
> 
> Best Regards,
> Chip
> 
> -----Original Message-----
> From: Rajiv Papneja [mailto:[email-masked]]
> Sent: Tuesday, August 29, 2006 8:44 AM
> To: 'Al Morton'; Chip Popoviciu (cpopovic); Ahmed Hamza (ahamza); gunter
> (mailer list); [email-masked]; [email-masked]
> Subject: RE: [bmwg] Proposal on IPv6 Benchmarking
> 
> Hello Al and IPv6 benchmarking team,
> 
>  I have reviewed the document, and I believe it is very nicely written.
> This effort is much needed as we transition to IPv6 world. I have
> however few comments on the scope of the document:
> 
>  1. Is there any reason that Jumbo frames (or Jumbograms) were not
> considered in this effort?
>  2. Also, as per my understanding there is no consideration of dual
> stack DUTs that have support for IPv4 and IPv6. One of the concern that
> industry has is that co-existence of IPv4/IPv6 degrade any performance
> of the DUT or not.
> 
>  Apart from these two areas, I believe I support this effort, and are
> willing to contribute some of the test results that we have done in the
> areas of IPv6 transition mechanisms.
> 
>  Regards,
>  Rajiv
> 
> **************************************************
> Rajiv Papneja
> Isocore Corporation
> Ph: +1.703.860.9273 (Direct)
> Corp:+1.703.860.1777
> Fax:+1.703.860.1778
> http://www.isocore.com
> 
> 
> > -----Original Message-----
> > From: Al Morton [mailto:[email-masked]]
> > Sent: Friday, August 25, 2006 4:20 PM
> > To: [email-masked]
> > Cc: Dan Romascanu
> > Subject: [bmwg] Proposal on IPv6 Benchmarking
> >
> > BMWG,
> >
> > The proponents of IPv6 Benchmarking have prepared a description of
> > their work effort in the form of a proposal, below.
> >
> > BMWG discussed this work at the Montreal IETF-66 session, where there
> > was strong support and involved membership (see meeting minutes). The
> > related I-D can be found here:
> > http://tools.ietf.org/wg/bmwg/draft-popoviciu-bmwg-ipv6benchmarking-01
> > .txt
> >
> > Please weigh-in on whether this topic/draft should become part of
> > BMWG's chartered work, by
> >
> >                     September 25, 2006
> >
> > And, if you support the work, please say:
> >
> > +  HOW you intend to support the development in BMWG,
> >     (by reviewing draft X by MM/DD/YY, for example),  or
> >
> > +  WHY this work will be beneficial to BMWG's user community, or
> >
> > +  Modifications that would make the proposal more useful
> >     (which we will discuss on the list), and
> >
> > +  (anything else that's constructive)
> >
> > And remember, we'd like to hear your opinion on the list, even if you
> > spoke in favor of this proposal at the meeting.
> >
> > Thanks in advance for your efforts and commitment to BMWG!
> >
> > Al
> > bmwg co-chair
> >
> > ======================================================================
> > ===
> >
> > Proposal for IPv6 Benchmarking Methodology
> >
> >
> > Summary:
> >
> >
> > This is a proposal for a BMWG work item that defines the IPv6
> > benchmarking requirements. It addresses the need for guidelines on
> > evaluating the performance of network elements handling IPv6 traffic
> > by itself or in conjunction with IPv4 traffic. While for the most
> > part, the IPv4 benchmarking methodology applies to IPv6 as well, the
> > two protocols are significantly different in certain aspects. These
> > differences are operationally important and for this reason, it is
> > critical to understand if network elements claiming support for IPv6
> > were designed and optimized for its support. This proposed document
> > follows the structure of RFC2544 and complements it with
> > recommendations that take into consideration the
> > IPv6 protocol specifics.
> >
> > Goal:
> >
> > The objective of this work item is to prepare an Informational RFC
> > that complements RFC2544 with a set of benchmarks that address IPv6
> > specific characteristics such as: addressing, header format changes,
> > extension header processing rules, etc. Based on the workgroup
> > recommendations thus far, this document will leverage existing
> > terminology references and structurally follows RFC2544.
> >
> > Scope:
> >
> > The focus of this effort is to benchmark aspects specific to the IPv6
> > protocol. It is complementary to, and not a replacement for RFC2544.
> > This document covers in detail the benchmark scenarios to be
> > considered for
> > IPv6
> > and its co-existence with IPv4.
> >
> > For all other benchmarks it shares with IPv4, it simply refers to
> RFC2544.
> > The list of media types mentioned in RFC2544 is updated with the
> > addition of Packet over SONET interfaces. This work effort will define
> 
> > the size of the IPv6 Address space that should be dedicated to
> > benchmarking, and make that recommendation to IANA.
> >
> > Motivation:
> >
> > The accelerating interest in IPv6 and its adoption has dramatically
> > increased the need for IPv6 operational guidelines. Large scale IPv6
> > deployments are currently on-going or being planned. Since these
> > deployments are most often taking place over existing IPv4
> > infrastructure, the main challenges faced by designers and
> implementors of services are:
> > "How well do my network elements support IPv6" and "What is the impact
> 
> > on
> > IPv4 of deploying IPv6?" Even those network operators that have a
> > longer term plan for deploying IPv6 are very mindful to use the
> > regular equipment upgrade process to make their infrastructure capable
> of supporting IPv6.
> >
> >
> > The process of acquiring and planning for IPv6 capable equipment needs
> 
> > to be matched with knowledge and standardized methods for evaluating
> > its IPv6 performance. Using only the existing IPv4 benchmarking
> > recommendations can hide the fact that a particular network element,
> > while minimally supporting IPv6, was not designed for high performance
> 
> > and complete IPv6 support.
> > This
> > work builds on the RFC2544 recommendations by adding IPv6 specific
> > benchmarks. It will enable the engineering community to consistently
> > perform evaluations of networking equipment's IPv6 capabilities.
> >
> >
> > Schedule:
> >
> > "IPv6 Benchmarking Methodology"
> >
> > 1) Consideration of list feedback on the proposal and current draft -
> > on- going
> >
> > 2) draft-popoviciu-bmwg-ipv6benchmarking-02.txt ready for WG list
> > review -
> > 9/25
> >
> > 3) Present finalized version of the draft at IETF 67 and proceed with
> > the Working Group Last Call process
> >
> >
> > The document has been reviewed and discussed within BMWG and v6ops.
> > With the implementation and approval of the latest recommendations, we
> 
> > believe this document will be ready for last call towards the end of
> this year.
> >
> >
> > _______________________________________________
> > bmwg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/bmwg
> >
> 

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg